GuideLab API

Get a purchase order

Retrieves the full details of a purchase order including all line items with their associated inventory item names, SKUs, and units.

GET
/inventory/purchase-orders/{id}

Retrieves the full details of a purchase order including all line items with their associated inventory item names, SKUs, and units.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Purchase order ID

Response Body

application/json

curl -X GET "https://example.com/inventory/purchase-orders/550e8400-e29b-41d4-a716-446655440000"
{  "data": {    "id": "string",    "poNumber": "string",    "status": "string",    "supplierId": "string",    "subtotal": "string",    "taxAmount": "string",    "totalAmount": "string",    "currency": "string",    "orderDate": "string",    "expectedDeliveryDate": "string",    "receivedDate": "string",    "notes": "string",    "internalNotes": "string",    "createdBy": "string",    "createdAt": "string",    "supplierName": "string",    "items": [      {        "id": "string",        "inventoryItemId": "string",        "quantityOrdered": "string",        "quantityReceived": "string",        "unitCost": "string",        "totalCost": "string",        "notes": "string",        "itemName": "string",        "itemSku": "string",        "itemUnit": "string"      }    ]  }}
Empty
Empty